
ctools - Bug #3423

show_lightcurve.py segmentation fault 

10/29/2020 01:12 PM - Chernyakova Masha

Status: Closed Start date: 10/29/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.3   

Description

On Ubuntu computers run of show_lightcurve.py (using ctools 1.7.2) leads to a segmentation fault. The easy solution for this probem

is to import mathplotlib before the gammalib.

Related issues:

Related to ctools - Bug # 3260: Bug with $CTOOLS/share/examples/python/show_r... Closed 07/02/2020

History

#1 - 10/29/2020 05:24 PM - Knödlseder Jürgen

Could you please specify the Ubuntu version, and also whether you use the Ubuntu Python or a special installation (e.g. conda)?

#2 - 11/02/2020 09:19 AM - Knödlseder Jürgen

Masha:

I've used

Ubuntu 16.04.6 LTS (GNU/Linux 4.4.0-178-generic x86_64)

and it was a conda installation.

If the mathplotlib is imported after gammalib than the crash happens just at the moment of the  mathplotlib import.

To pin the problem more precisely, the crash happens if I do e.g:

import gammalib

import matplotlib.pyplot as plt

plt.figure()

 

This is what is used in show_lightcurve.py

Everything works fine if I import the matplotlib.pyplot first (before gammalib)

This problem happens under Ubuntu 16.04.6 both with conda installed Python 2.7.15 and Python 3.7.3

There is no such a problem for Mac.

04/17/2024 1/2



#3 - 12/02/2020 08:30 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.7.3

- % Done changed from 0 to 50

I inverted the import as suggested.

#4 - 12/02/2020 08:35 AM - Knödlseder Jürgen

- Related to Bug #3260: Bug with $CTOOLS/share/examples/python/show_residuals.py added

#5 - 12/09/2020 12:16 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
